define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class UserTaskController {
        constructor(taskService) {
            this.httpCodeSuccessfulResponse = 200;
            this.httpCodeSuccessfulNoContentResponse = 204;
            this.taskService = taskService;
        }
        async getAllSuspendedTasks(request, response) {
            const identity = request.identity;
            const result = await this.taskService.getAllSuspendedTasks(identity);
            response.status(this.httpCodeSuccessfulResponse).json(result);
        }
        async getTasksForProcessModel(request, response) {
            const processModelId = request.params.process_model_id;
            const identity = request.identity;
            const result = await this.taskService.getTasksForProcessModel(identity, processModelId);
            response.status(this.httpCodeSuccessfulResponse).json(result);
        }
        async getTasksForProcessInstance(request, response) {
            const processInstanceId = request.params.process_instance_id;
            const identity = request.identity;
            const result = await this.taskService.getTasksForProcessInstance(identity, processInstanceId);
            response.status(this.httpCodeSuccessfulResponse).json(result);
        }
        async getTasksForCorrelation(request, response) {
            const correlationId = request.params.correlation_id;
            const identity = request.identity;
            const result = await this.taskService.getTasksForCorrelation(identity, correlationId);
            response.status(this.httpCodeSuccessfulResponse).json(result);
        }
        async getTasksForProcessModelInCorrelation(request, response) {
            const processModelId = request.params.process_model_id;
            const correlationId = request.params.correlation_id;
            const identity = request.identity;
            const result = await this.taskService.getTasksForProcessModelInCorrelation(identity, processModelId, correlationId);
            response.status(this.httpCodeSuccessfulResponse).json(result);
        }
    }
    exports.UserTaskController = UserTaskController;
});
//# sourceMappingURL=task_controller.js.map